unable to update java

General support questions
Post Reply
archsupport
Posts: 10
Joined: 2018/05/03 23:43:18

unable to update java

Post by archsupport » 2018/09/06 11:07:28

With yum update I'm able to update all packages except for Java.

Code: Select all

[root@mwimp05 ~]# yum repolist -v
Loading "fastestmirror" plugin
Loading "security" plugin
Config time: 0.005
Yum Version: 3.2.29
Loading mirror speeds from cached hostfile
 * base: mirror.den1.denvercolo.net
 * extras: mirror.linuxfix.com
 * updates: mirror.metrocast.net
Setting up Package Sacks
pkgsack time: 0.011
Repo-id      : base
Repo-name    : CentOS-6 - Base
Repo-revision: 1530286202
Repo-updated : Fri Jun 29 11:37:23 2018
Repo-pkgs    : 6,713
Repo-size    : 5.5 G
Repo-mirrors : http://mirrorlist.centos.org/?release=6&arch=x86_64&repo=os&infra=stock
Repo-baseurl : http://mirror.den1.denvercolo.net/CentOS/6.10/os/x86_64/ (9 more)
Repo-expire  : 21,600 second(s) (last: Thu Sep  6 07:05:28 2018)

Repo-id      : extras
Repo-name    : CentOS-6 - Extras
Repo-revision: 1530611555
Repo-updated : Tue Jul  3 05:52:37 2018
Repo-pkgs    : 31
Repo-size    : 12 M
Repo-mirrors : http://mirrorlist.centos.org/?release=6&arch=x86_64&repo=extras&infra=stock
Repo-baseurl : http://mirror.linuxfix.com/centos/6.10/extras/x86_64/ (9 more)
Repo-expire  : 21,600 second(s) (last: Thu Sep  6 07:05:28 2018)

Repo-id      : updates
Repo-name    : CentOS-6 - Updates
Repo-revision: 1535591617
Repo-updated : Wed Aug 29 21:14:56 2018
Repo-pkgs    : 122
Repo-size    : 1.3 G
Repo-mirrors : http://mirrorlist.centos.org/?release=6&arch=x86_64&repo=updates&infra=stock
Repo-baseurl : http://mirror.metrocast.net/centos/6.10/updates/x86_64/ (9 more)
Repo-expire  : 21,600 second(s) (last: Thu Sep  6 07:05:28 2018)

repolist: 6,866
[root@mwimp05 ~]# yum update
Loaded plugins: fastestmirror, security
Setting up Update Process
Loading mirror speeds from cached hostfile
 * base: mirror.den1.denvercolo.net
 * extras: mirror.linuxfix.com
 * updates: mirror.metrocast.net
Resolving Dependencies
--> Running transaction check
---> Package java-1.7.0-openjdk.x86_64 1:1.7.0.181-2.6.14.10.el6 will be updated
---> Package java-1.7.0-openjdk.x86_64 1:1.7.0.191-2.6.15.4.el6_10 will be an update
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package              Arch     Version                          Repository
                                                                           Size
================================================================================
Updating:
 java-1.7.0-openjdk   x86_64   1:1.7.0.191-2.6.15.4.el6_10      updates    26 M

Transaction Summary
================================================================================
Upgrade       1 Package(s)

Total download size: 26 M
Is this ok [y/N]: y
Downloading Packages:
java-1.7.0-openjdk-1.7.0.191-2.6.15.4.el6_10.x86_64.rpm  |  26 MB     00:01     
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
Error in PRETRANS scriptlet in rpm package 1:java-1.7.0-openjdk-1.7.0.191-2.6.15.4.el6_10.x86_64
error: lua script failed: /usr/libexec/copy_jdk_configs.lua:272: attempt to index global 'file' (a nil value)
  Verifying  : 1:java-1.7.0-openjdk-1.7.0.191-2.6.15.4.el6_10.x86_64        1/2 
1:java-1.7.0-openjdk-1.7.0.181-2.6.14.10.el6.x86_64 was supposed to be removed but is not!
  Verifying  : 1:java-1.7.0-openjdk-1.7.0.181-2.6.14.10.el6.x86_64          2/2 

Failed:
  java-1.7.0-openjdk.x86_64 1:1.7.0.181-2.6.14.10.el6                           
  java-1.7.0-openjdk.x86_64 1:1.7.0.191-2.6.15.4.el6_10                         

Complete!
[root@mwimp05 ~]# 


User avatar
TrevorH
Forum Moderator
Posts: 23644
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: unable to update java

Post by TrevorH » 2018/09/06 11:26:46

See: https://access.redhat.com/solutions/3573891

(the abbreviated version: mkdir -p /var/lib/rpm-state)
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

Post Reply